| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PreStack::VelocityBasedAngleComputer Class Reference
PreStackProcessing

Computes angles for PreStack::Gather from velocity model. More...

`#include <prestackanglecomputer.h>`

Inheritance diagram for PreStack::VelocityBasedAngleComputer:
[legend]

## Public Member Functions
| VelocityBasedAngleComputer ()
RefMan< Gather > | computeAngles () override
bool | isOK () const override
bool | setMultiID (const MultiID &)
Public Member Functions inherited from PreStack::AngleComputer
uiString | errMsg () const
void | setFFTSmoother (float freqf3, float freqf4)
void | setGatherIsNMOCorrected (bool yn)
void | setMovingAverageSmoother (float length, BufferString win=HanningWindow::sName(), float param=0.95)
void | setNoSmoother ()
void | setOutputSampling (const FlatPosData &, Seis::OffsetType, const ZDomain::Info &)
void | setRayTracerPars (const IOPar &)
void | setSmoothingPars (const IOPar &)
void | setTrcKey (const TrcKey &tk)
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static bool | getLayers (const TrcKey &, float startdepth, Vel::FunctionSource &, ElasticModel &, uiString &errmsg)
Static Public Member Functions inherited from PreStack::AngleComputer
static const char * | sKeyFreqF3 ()
static const char * | sKeyFreqF4 ()
static const char * | sKeySmoothType ()
static const char * | sKeyWinFunc ()
static const char * | sKeyWinLen ()
static const char * | sKeyWinParam ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Member Functions
| ~VelocityBasedAngleComputer ()
const ElasticModel * | curElasticModel () const override
const OffsetReflectivityModel * | curRefModel () const override
void | setRefModel (const OffsetReflectivityModel &) override
Protected Member Functions inherited from PreStack::AngleComputer
| AngleComputer ()
| ~AngleComputer ()
void | averageSmooth (Array2D< float > &angledata)
RefMan< Gather > | computeAngleData ()
void | fftDepthSmooth (::FFTFilter &fftfilter, Array2D< float > &angledata)
void | fftSmooth (Array2D< float > &angledata)
void | fftTimeSmooth (::FFTFilter &fftfilter, Array2D< float > &angledata)
bool | fillandInterpArray (Array2D< float > &angledata)
AngleComputer & | setZDomain (const ZDomain::Info &)
const ZDomain::Info * | zDomain () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
RefMan< Vel::FunctionSource > | velsource_
Protected Attributes inherited from PreStack::AngleComputer
ElasticModel | elasticmodel_
uiString | errmsg_
bool | gatheriscorrected_ = true
IOPar | iopar_
float | maxthickness_ = 25.f
FlatPosData | outputsampling_
IOPar | raypars_
ConstRefMan< OffsetReflectivityModel > | refmodel_
RayTracer1D::Setup | rtsu_
float | thresholdparam_ = 0.01f
TrcKey | trckey_
const ZDomain::Info * | zdomaininfo_ = nullptr

## Additional Inherited Members
Public Types inherited from PreStack::AngleComputer
enum | smoothingType { None , MovingAverage , FFTFilter }

## Detailed Description

Computes angles for PreStack::Gather from velocity model.

<>

## Constructor & Destructor Documentation

## ◆ VelocityBasedAngleComputer()

PreStack::VelocityBasedAngleComputer::VelocityBasedAngleComputer | ( |  | ) |

## ◆ ~VelocityBasedAngleComputer()

PreStack::VelocityBasedAngleComputer::~VelocityBasedAngleComputer | ( |  | ) |
| protected

## Member Function Documentation

## ◆ computeAngles()

RefMan< Gather > PreStack::VelocityBasedAngleComputer::computeAngles | ( |  | ) |
| override virtual

Implements PreStack::AngleComputer.

## ◆ curElasticModel()

const ElasticModel * PreStack::VelocityBasedAngleComputer::curElasticModel | ( |  | ) | const
| inline override protected virtual

Implements PreStack::AngleComputer.

## ◆ curRefModel()

const OffsetReflectivityModel * PreStack::VelocityBasedAngleComputer::curRefModel | ( |  | ) | const
| override protected virtual

Implements PreStack::AngleComputer.

## ◆ getLayers()

static bool PreStack::VelocityBasedAngleComputer::getLayers | ( | const TrcKey & | ,
|  | float | startdepth,
|  | Vel::FunctionSource & | ,
|  | ElasticModel & | ,
|  | uiString & | errmsg )
| static

## ◆ isOK()

bool PreStack::VelocityBasedAngleComputer::isOK | ( |  | ) | const
| override virtual

Implements PreStack::AngleComputer.

## ◆ setMultiID()

bool PreStack::VelocityBasedAngleComputer::setMultiID | ( | const MultiID & |  | ) |

## ◆ setRefModel()

void PreStack::VelocityBasedAngleComputer::setRefModel | ( | const OffsetReflectivityModel & |  | ) |
| override protected virtual

Implements PreStack::AngleComputer.

## Member Data Documentation

## ◆ velsource_

RefMan<Vel::FunctionSource> PreStack::VelocityBasedAngleComputer::velsource_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025